Project

General

Profile

Development #36330

compat django 2.2

Added by Frédéric Péters about 2 years ago. Updated about 2 years ago.

Status:
Solution déployée
Priority:
Normal
Target version:
-
Start date:
22 Sep 2019
Due date:
% Done:

0%

Estimated time:
Patch proposed:
Yes
Planning:
No

Description

De l'avant.


Files


Related issues

Related to Publik - Project management #49998: compatibilité django 2.2Nouveau09 Jan 202131 Mar 2021

Actions

Associated revisions

Revision 1aea1cbe (diff)
Added by Frédéric Péters about 2 years ago

misc: add on_delete parameter to foreign keys (#36330)

Revision 785969fc (diff)
Added by Frédéric Péters about 2 years ago

misc: add support for new django.urls module (#36330)

Revision 81352a10 (diff)
Added by Frédéric Péters about 2 years ago

tox: run tests against django 2.2 (#36330)

Revision 389e6d79 (diff)
Added by Frédéric Péters about 2 years ago

tests: update for compatibility with django 2.2 (#36330)

Revision e3a6586a (diff)
Added by Frédéric Péters about 2 years ago

misc: update authenticate() for compatibility from 1.8 to 2.2 (#36330)

Revision fd409d6d (diff)
Added by Frédéric Péters about 2 years ago

backends: accept being called with None as saml_attributes (#36330)

History

#2

Updated by Benjamin Dauvergne about 2 years ago

  • Status changed from Solution proposée to Solution validée
#3

Updated by Frédéric Péters about 2 years ago

  • Status changed from Solution validée to Résolu (à déployer)
commit 81352a10840aaaf28fc14cca86dce9f27921ebe0
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Sun Sep 22 08:32:10 2019 +0200

    tox: run tests against django 2.2 (#36330)

commit 785969fc11244832b60b42e6addf5fabdce1b4ef
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Sat Sep 21 21:14:29 2019 +0200

    misc: add support for new django.urls module (#36330)

commit 1aea1cbe0076bf9a4d8c9d9b3bb3d161546cddd3
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Sat Sep 21 21:14:01 2019 +0200

    misc: add on_delete parameter to foreign keys (#36330)
#4

Updated by Frédéric Péters about 2 years ago

Sauf que le setup.py continuait à mentionner <2.0 du coup la bonne version de django n'était pas tirée par tox etc. (ajustements en cours)

#5

Updated by Frédéric Péters about 2 years ago

  • Status changed from Résolu (à déployer) to Solution déployée
#6

Updated by Frédéric Péters about 2 years ago

Mais passer également setup_requires à 'django<2.3' fait que l'installation via pip dans un environnement python 2 ne fonctionne plus, parce que ça l'amène au moment du pip à partir sur django 2.2 (les limites posées dans le tox.ini étant d'applications à l'exécution, pas au build, visiblement), résultat la création de l'environnement tox échoue avec :

    ==========================
    Unsupported Python version
    ==========================

    This version of Django requires Python 3.5, but you're trying to
    install it on Python 2.7.

Je vais donc limiter le setup_requires à django 1.11.

#7

Updated by Frédéric Péters 9 months ago

Also available in: Atom PDF